ipv4addr Struct Reference
ipv4: IPv4 Address Handling

`#include <ipv4.h>`

## Data Fields

uint8 | addr [4]

## Detailed Description

IPv4 address structure.

## Field Documentation

## addr

uint8 ipv4addr::addr[4]

32-bit IPv4 address, represented as 4 8-bit `unsigned` `chars`.

Referenced by dns_ip6_r(), fmt_ipv4addr(), fmt_ipv4addr_reverse(), ipv4_scan(), ipv6_scan(), and socket_getaddr4().

The documentation for this struct was generated from the following file:

- ipv4.h